/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.common;

import java.io.Serializable;

/**
 * Contains common result data of flow-depth- and tkh-calculations.
 *
 * @author Gernot Belger
 */
public abstract class AbstractSInfoResultRow implements Serializable {
    private static final long serialVersionUID = 1L;

    private final String waterlevelLabel;

    private final String gauge;

    private final String location;

    public AbstractSInfoResultRow(final String waterlevelLabel, final String gauge, final String location) {
        this.waterlevelLabel = waterlevelLabel;
        this.gauge = gauge;
        this.location = location;
    }

    public final String getWaterlevelLabel() {
        return this.waterlevelLabel;
    }

    public final String getGauge() {
        return this.gauge;
    }

    public final String getLocation() {
        return this.location;
    }
}